# $Revision: 1.8.2.1 $, $Date: 2003/03/13 00:56:38 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Array
%define		pnam	Compare
Summary:	Array::Compare perl module
Summary(cs):	Modul Array::Compare pro Perl
Summary(da):	Perlmodul Array::Compare
Summary(de):	Array::Compare Perl Modul
Summary(es):	Mdulo de Perl Array::Compare
Summary(fr):	Module Perl Array::Compare
Summary(it):	Modulo di Perl Array::Compare
Summary(ja):	Array::Compare Perl ⥸塼
Summary(ko):	Array::Compare  
Summary(no):	Perlmodul Array::Compare
Summary(pl):	Modu perla Array::Compare
Summary(pt_BR):	Mdulo Perl Array::Compare
Summary(pt):	Mdulo de Perl Array::Compare
Summary(ru):	  Perl Array::Compare
Summary(sv):	Array::Compare Perlmodul
Summary(uk):	  Perl Array::Compare
Summary(zh_CN):	Array::Compare Perl ģ
Name:		perl-Array-Compare
Version:	1.03
Release:	4
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.005
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Array::Compare is a Perl module which allows you to compare two arrays.

%description -l pl
Array::Compare jest rozszerzeniem Perla, umoliwiajcym porwnywanie
dwch tablic.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Array/Compare.pm
%dir %{perl_sitelib}/auto/Array/Compare
%{perl_sitelib}/auto/Array/Compare/*.ix
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Array-Compare.spec,v $
Revision 1.8.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:26:00  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/12/28 16:29:59  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.5  2002/12/03 21:34:40  ankry
- cleaning

Revision 1.4  2002/08/03 11:26:14  ankry
- moved %%{perl_sitelib}/auto/Array dir to perl
- test on BCond
- cleaning
- release 3

Revision 1.3  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.2  2002/07/24 00:14:51  ankry
- add %%dir %{perl_sitelib}/auto/Array dir
- remove unnecessary macros
- release 2

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
